<html>
<head>
<title></title>
<meta HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=/*[ID_CHARSET]*/">
<meta HTTP-EQUIV="Pragma" CONTENT="no-cache">
<meta HTTP-EQUIV="Cache-Control" CONTENT="no-cache, must-revalidate">
<meta HTTP-EQUIV="Expires" CONTENT="Tue, 29 Aug 2000 08:16:16 GMT">
<link href="global.css" rel="stylesheet" type="text/css" />
<title></title>
<script language="javascript" type="text/javascript" src="j31_menu_script.js"> </script>
<SCRIPT	LANGUGAE="JavaScript"><!--
var showType = 0 ;

var urlList = new Array
(
	new _URL( "/*[ID_ALL_ALARM]*/", "p10_alarm_show.htm", "view: Show showTypeall alarm", top.alarm.view, 0 , 1),
	new _URL( "/*[ID_OBSERVATION_ALARM]*/", "p10_alarm_show.htm", "view: Show observation alarm", top.alarm.view,0 , 2),
	new _URL( "/*[ID_MAJOR_ALARM]*/", "p10_alarm_show.htm", "view: Show major alarm" ,top.alarm.view,0, 3),
	new _URL( "/*[ID_CRITICAL_ALARM]*/", "p10_alarm_show.htm", "view: Show critical alarm" ,top.alarm.view,0, 4)
);

		
function initBody() 
{	
	o_mf = parent.document.getElementById("alarmFrame");
	op_mf = parent.parent.document.getElementById("alarmframe");
	o_ms = document.getElementById("menuSwitch");
	
	var pos1,pos2, posShow;

	noCols = iniCols = o_mf.rows;
	
	
	if(top.site_view != null && top.site_view.document != null && top.site_view.document.body != null &&  top.site_view.document.body.clientHeight != null)
	{
	
		posShow= top.site_view.document.body.clientHeight * 2/5;
	}
	else
	{
		posShow = 268;
	}
	if ((pos = noCols.indexOf(",")) != -1) 
	{
	
		var str1 = noCols.substring(pos + 1);
		if ((pos1 = str1.indexOf(",")) != -1) 
		{
			str1 = str1.substring(pos + 1);
			
		}
		noCols =  noCols.substring(0,pos + pos1 + 1) + "," + posShow +",0";//",300,0";
	
	} 
	s = false;
	
	
}
//--></script>

        <script language="javascript">
<!--
var iniCols, noCols, o_mf, o_ms, s;
var o_Start;
var bShowAlarm = false;
var varPopup ="" +  "Auto Popup";

runTimer = setInterval(function(){changeLeft(true)},1000);
function changeLeft(bShow)
{
		o_mf = parent.document.getElementById("alarmFrame");
		op_mf = top.document.getElementById("alarmframe");
		o_ms = document.getElementById("menuSwitch");
		o_tab = document.getElementById("tabMenu");
		o_check = document.getElementById("acceptAutoPop");
		o_cp = parent.copyright.document.getElementById("copyrightText");
		var hideRols = "25,0,35";
		var showRols = "55,*,35";
		var topHideRols = "*,0,60,0,0";
		var topShowRols = "*,0,240,0,0";
		var alarmValue = parent.view.alarmValue;
		//alert(alarmValue.value);
		if(bShow == true)
		{

			if(o_check.checked && alarmValue)
			{
				if(alarmValue.value==2)
				{
					o_ms.className = "hiddenFrame";
					o_tab.style.display = "block";
					o_mf.rows = showRols;
					op_mf.rows = topShowRols;
					o_cp.style.paddingTop ="11px"
					o_ms.style.display = "inline-block";
				}
			}
			else if(!o_check.checked && alarmValue)
			{
				if(alarmValue.value==2)
				{					
					o_ms.style.display = "inline-block";
				}
			}
		}
}
function slideClick()
{
	parent.view.alarmValue.value = 1;
	
	o_mf = parent.document.getElementById("alarmFrame");
	op_mf = top.document.getElementById("alarmframe");
	o_ms = document.getElementById("menuSwitch");
	o_tab = document.getElementById("tabMenu");
	o_cp = parent.copyright.document.getElementById("copyrightText");
	var hideRols = "25,0,35";
	var showRols = "55,*,35";
	var topHideRols = "*,0,60,0,0";
	var topShowRols = "*,0,240,0,0";

	if(o_ms.className=="hiddenFrame")
	{
		o_ms.className = "showFrame";
		o_tab.style.display = "none"
		o_mf.rows = hideRols;
		op_mf.rows = topHideRols;
	}
	else if(o_ms.className =="showFrame")
	{
		o_ms.className = "hiddenFrame";
		o_tab.style.display = "block";
		o_mf.rows = showRols;
		op_mf.rows = topShowRols;
		o_cp.style.paddingTop ="11px"
	}
}


function changeShow(t)
{
o_Start = document.getElementById("menuStart");
bShowAlarm  = !bShowAlarm; 
/*
o_Start.innerHTML = bShowAlarm ? '<input type="checkbox" id="acceptAutoPop" name="acceptAutoPop" checked onClick="changeShow()">' + varPopup : '<input type="checkbox" id="acceptAutoPop" name="acceptAutoPop" onClick="changeShow()">' + varPopup;


if(t.checked!=null && t.checked==true)
{
	autoPopAlarm();
}
*/
}
//-->

        </script>
		<style type="text/css">
body { overflow:hidden; width:100%; }
</style>
</head>
<body onLoad ="initBody();">
<div id="dataMenu">
  <ul class="tabMenu" id="tabMenu" style="display:none;">
    <li><a href="p10_alarm_show.htm" target="view" name="" id="" class="tabSelected" onClick="openPage(0);tabClick('0','tabSelected')"><span>/*[ID_ALL_ALARM1]*/</span></a></li>
    <li><a href="p10_alarm_show.htm" target="view" name="" id="" onClick="openPage(1);tabClick('1','tabSelected')"><span>/*[ID_OBSERVATION_ALARM1]*/</span></a></li>
    <li><a href="p10_alarm_show.htm" target="view" name="" id="" onClick="openPage(2);tabClick('2','tabSelected')"><span>/*[ID_MAJOR_ALARM1]*/</span></a></li>
    <li><a href="p10_alarm_show.htm" target="view" name="" id="" onClick="openPage(3);tabClick('3','tabSelected')"><span>/*[ID_CRITICAL_ALARM1]*/</span></a></li>
  </ul>
   <div class="alarmBlue" id="tabPosition">
   		<div class="frameSwitch">

<a href="javascript:void(0);" class="showFrame" id="menuSwitch" name="menuSwitch" style="display:none" onClick="slideClick();"></a><a href="javascript:changeShow();" class="switchCheck" id="menuStart"><input type='checkbox' id="acceptAutoPop" name="acceptAutoPop" checked onClick="changeShow(this)">/*[ID_AUTO]*/</a>
		
		</div>
   
   </div>
</div>



</body>
</html>
